BeagleWksDBParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
BeagleWksDBParser Class Reference

the main class to read a BeagleWorks database file More...

`#include <BeagleWksDBParser.hxx>`

Inheritance diagram for BeagleWksDBParser:

## Public Member Functions
| BeagleWksDBParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~BeagleWksDBParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGSpreadsheetInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWSpreadsheetParser
virtual | ~MWAWSpreadsheetParser ()
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGSpreadsheetInterface *documentInterface)
| creates the listener which will be associated to the document More...
MWAWVec2f | getPageLeftTop () const
| returns the page left top point ( in inches) More...
bool | sendDatabase ()
| try to send the main database More...
bool | sendText (MWAWEntry entry, bool headerFooter=false)
| try to send a text zone More...
bool | sendPageFrames ()
| try to send the page graphic More...
bool | sendFrame (BeagleWksStructManager::Frame const &frame)
| try to send a frame More...
bool | sendPicture (int pId, MWAWPosition const &pos, bool readEDTP, MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| try to send a picture More...
bool | createZones ()
| finds the different objects zones More...
bool | readRSRCZones ()
| read the resource fork zone More...
bool | readPrintInfo ()
| read the print info zone More...
bool | readDatabase ()
| read the database zone More...
bool | readRow ()
| read a row More...
bool | readFields ()
| read the fields list More...
bool | readLayouts ()
| read the layout zone More...
bool | readLayout (int id)
| read a layout zone More...
bool | readFormat (MWAWCell &cell, std::string &extra)
| try to read a cell's format+font More...
MWAWInputStreamPtr | rsrcInput ()
| return the input input More...
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc More...
Protected Member Functions inherited from MWAWSpreadsheetParser
| MWAWSpreadsheetParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWSpreadsheetParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< BeagleWksDBParserInternal::State > | m_state
| the state More...
shared_ptr< BeagleWksStructManager > | m_structureManager
| the structure manager More...

## Friends
class | BeagleWksDBParserInternal::SubDocument

## Detailed Description

the main class to read a BeagleWorks database file

## Constructor & Destructor Documentation

BeagleWksDBParser::BeagleWksDBParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

BeagleWksDBParser::~BeagleWksDBParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool BeagleWksDBParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

void BeagleWksDBParser::createDocument | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

bool BeagleWksDBParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

MWAWVec2f BeagleWksDBParser::getPageLeftTop | ( |  | ) | const
| protected

returns the page left top point ( in inches)

void BeagleWksDBParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by BeagleWksDBParser().

void BeagleWksDBParser::parse | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWSpreadsheetParser.

bool BeagleWksDBParser::readDatabase | ( |  | ) |
| protected

read the database zone

Referenced by createZones().

bool BeagleWksDBParser::readFields | ( |  | ) |
| protected

read the fields list

Referenced by readDatabase().

bool BeagleWksDBParser::readFormat | ( | MWAWCell & | cell,
|  | std::string & | extra
| ) |  |
| protected

try to read a cell's format+font

Referenced by readDatabase(), and readLayout().

bool BeagleWksDBParser::readLayout | ( | int | id | ) |
| protected

read a layout zone

Referenced by readLayouts().

bool BeagleWksDBParser::readLayouts | ( |  | ) |
| protected

read the layout zone

Referenced by readDatabase().

bool BeagleWksDBParser::readPrintInfo | ( |  | ) |
| protected

read the print info zone

Referenced by checkHeader(), and createZones().

bool BeagleWksDBParser::readRow | ( |  | ) |
| protected

read a row

Referenced by readDatabase().

bool BeagleWksDBParser::readRSRCZones | ( |  | ) |
| protected

read the resource fork zone

Referenced by createZones().

libmwaw::DebugFile & BeagleWksDBParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

MWAWInputStreamPtr BeagleWksDBParser::rsrcInput | ( |  | ) |
| protected

return the input input

bool BeagleWksDBParser::sendDatabase | ( |  | ) |
| protected

try to send the main database

Referenced by parse().

bool BeagleWksDBParser::sendFrame | ( | BeagleWksStructManager::Frame const & | frame | ) |
| protected

try to send a frame

Referenced by sendPageFrames().

bool BeagleWksDBParser::sendPageFrames | ( |  | ) |
| protected

try to send the page graphic

bool BeagleWksDBParser::sendPicture | ( | int | pId,
|  | MWAWPosition const & | pos,
|  | bool | readEDTP,
|  | MWAWGraphicStyle const & | style = `MWAWGraphicStyle::emptyStyle()`
| ) |  |
| protected

try to send a picture

Referenced by sendDatabase(), and sendFrame().

bool BeagleWksDBParser::sendText | ( | MWAWEntry | entry,
|  | bool | headerFooter = `false`
| ) |  |
| protected

try to send a text zone

Referenced by BeagleWksDBParserInternal::SubDocument::parse().

## Friends And Related Function Documentation

friend class BeagleWksDBParserInternal::SubDocument
| friend

## Member Data Documentation

shared_ptr<BeagleWksDBParserInternal::State> BeagleWksDBParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), getPageLeftTop(), init(), readDatabase(), readFields(), readRow(), and sendDatabase().

shared_ptr<BeagleWksStructManager> BeagleWksDBParser::m_structureManager
| protected

the structure manager

Referenced by createDocument(), createZones(), init(), readRSRCZones(), sendPageFrames(), and sendPicture().

The documentation for this class was generated from the following files:

- BeagleWksDBParser.hxx
- BeagleWksDBParser.cxx